Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.tasks
Class DefaultTaskCollection

    java.lang.Object
      org.gradle.api.internal.AbstractDomainObjectCollection
          org.gradle.api.internal.DefaultDomainObjectContainer
              org.gradle.api.internal.tasks.DefaultTaskCollection

All Implemented Interfaces:
  TaskCollection

    class DefaultTaskCollection
    extends DefaultDomainObjectContainer

Field Summary
`protected Project` | `project`

Constructor Summary
`DefaultTaskCollection(java.lang.Class type, Project project)`
`protected DefaultTaskCollection(java.lang.Class type, Project project, Store store)`

Method Summary
`void` | `allTasks(Action action)`
`void` | `allTasks(Closure action)`
`protected UnknownDomainObjectException` | `createNotFoundException(java.lang.String name)`
`java.lang.String` | `getDisplayName()`
`TaskCollection` | `matching(Spec spec)`
`Action` | `whenTaskAdded(Action action)`
`void` | `whenTaskAdded(Closure closure)`
`TaskCollection` | `withType(java.lang.Class type)`

Methods inherited from class DefaultDomainObjectContainer
addObject, addRule, addRule, createNotFoundException, findByName, getAsMap, getDisplayName, getRules, getType, matching, storeWithSpec, storeWithType, whenObjectAdded, whenObjectAdded, whenObjectRemoved, withType

Methods inherited from class AbstractDomainObjectCollection
allObjects, allObjects, createNotFoundException, findAll, getAll, getAsDynamicObject, getAt, getByName, getByName, getDisplayName, iterator, methodMissing, propertyMissing

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Field Detail

### project

    protected final Project project

Constructor Detail

### DefaultTaskCollection

    public DefaultTaskCollection(java.lang.Class type, Project project)

### DefaultTaskCollection

    protected DefaultTaskCollection(java.lang.Class type, Project project, Store store)

Method Detail

### allTasks

    public void allTasks(Action action)

### allTasks

    public void allTasks(Closure action)

### createNotFoundException

    @Override
    protected UnknownDomainObjectException createNotFoundException(java.lang.String name)

### getDisplayName

    @Override
    public java.lang.String getDisplayName()

### matching

    @Override
    public TaskCollection matching(Spec spec)

### whenTaskAdded

    public Action whenTaskAdded(Action action)

### whenTaskAdded

    public void whenTaskAdded(Closure closure)

### withType

    @Override
    public TaskCollection withType(java.lang.Class type)

Groovy Documentation